package com.tzld.crawler.etl.common.base;

import com.tzld.crawler.etl.model.dto.BaseInfoDto;

/**
 * 请求参数
 *
 * @author supeng
 */
public class CommonRequest<T> {
    /**
     * 基础信息
     */
    BaseInfoDto baseInfo;
    /**
     * 请求参数
     */
    T params;

    public BaseInfoDto getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(BaseInfoDto baseInfo) {
        this.baseInfo = baseInfo;
    }

    public T getParams() {
        return params;
    }

    public void setParams(T params) {
        this.params = params;
    }

    @Override
    public String toString() {
        return "CommonRequest{" + "baseInfo=" + baseInfo + ", params=" + params + '}';
    }
}
