#!/bin/bash
source /etc/profile
JAVA="${JAVA_HOME}/bin/java"
ENV_OPT="--spring.profiles.active=${ACTIVE_PROFILES}"
# JVM_OPT="-Xmx4G -Xms4G -Xmn2G -XX:MetaspaceSize=256M -XX:MaxMetaspaceSize=256M -XX:+UseParNewGC -XX:+UseConcMarkSweepGC -XX:+CMSScavengeBeforeRemark -XX:CMSInitiatingOccupancyFraction=80 -Xloggc:/datalog/weblog/gc.log -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+HeapDumpOnOutOfMemoryError -XX:+PrintHeapAtGC -XX:+PrintGCApplicationStoppedTime"
JVM_OPT="-Xloggc:/datalog/weblog/gc.log -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+HeapDumpOnOutOfMemoryError -XX:+PrintHeapAtGC -XX:+PrintGCApplicationStoppedTime"
${JAVA} ${JVM_OPT} -jar crawler-etl-server.jar ${ENV_OPT}
