package com.tzld.crawler.etl;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * 启动类
 *
 * @author supeng
 */
@EnableFeignClients
@MapperScan("com.tzld.crawler.etl.dao.mapper")
// @ServletComponentScan
@SpringBootApplication
public class EtlServerApplication {
    public static void main(String[] args) {
        SpringApplication.run(EtlServerApplication.class, args);
    }
}
